# Glib::PropertyProxy_ReadOnly< T > Class Template Reference

See PropertyProxy(). More...

Inherits Glib::PropertyProxy_Base.

Collaboration diagram for Glib::PropertyProxy_ReadOnly< T >:
[legend]

List of all members.

## Public Types

typedef T | PropertyType

## Public Member Functions

| PropertyProxy_ReadOnly (const ObjectBase* obj, const char* name)
PropertyType | get_value () const
| Get the value of this property.
| operator PropertyType () const

## Detailed Description

### template <class T>
class Glib::PropertyProxy_ReadOnly< T >

See PropertyProxy().

This property can be read, but not written, so there is no set_value() method.

## Member Typedef Documentation

template <class T >

typedef T Glib::PropertyProxy_ReadOnly< T >::PropertyType

## Constructor & Destructor Documentation

template <class T >

Glib::PropertyProxy_ReadOnly< T >::PropertyProxy_ReadOnly | ( | const ObjectBase* | obj,
|  | const char * | name |
| ) |  |  | `[inline]`

## Member Function Documentation

template <class T >

PropertyType Glib::PropertyProxy_ReadOnly< T >::get_value | ( |  | ) | const

Get the value of this property.

Returns:
  The current value of the property.

template <class T >

Glib::PropertyProxy_ReadOnly< T >::operator PropertyType | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- glibmm/propertyproxy.h